__gnu_pbds::container_traits_base< pairing_heap_tag > Struct Reference
Extensions » Policy-Based Data Structures » Tags » Invalidation Guarantees » Data Structure Type » Traits

## Public Types

enum | { order_preserving, erase_can_throw, split_join_can_throw, reverse_iteration }
typedef pairing_heap_tag | container_category
typedef point_invalidation_guarantee | invalidation_guarantee

## Detailed Description

Specialization, pairing heap.

Definition at line 336 of file tag_and_trait.hpp.

The documentation for this struct was generated from the following file:

- tag_and_trait.hpp